This forum is not used anymore. Please ask new questions to Stack Overflow: https://stackoverflow.com/questions/tag ... ort=newest (use aspnetboilerplate tag).
By ervingayle
#19779 After the upgrade to the latest version of the API packages, I noticed that I am unable to build the project. I tried to revert to an earlier version but this is not working either.

Severity Code Description Project File Line Suppression State
Error CS0308 The non-generic type 'PermissionChecker' cannot be used with type arguments Enotch.Core E:\Source Code\Project\Project.Core\Authorization\PermissionChecker.cs 8 Active

Severity Code Description Project File Line Suppression State
Error CS0516 Constructor 'PermissionChecker.PermissionChecker(UserManager)' cannot call itself Enotch.Core E:\Source Code\Project\Project.Core\Authorization\PermissionChecker.cs 11 Active